Subject: Re: bug#21760: timeout: Feature Request: --verbose ==> output if timeout was reached

From: Jim Meyering <[email-masked]>
Date: Wed, 28 Oct 2015 07:50:50 -0700

On Wed, Oct 28, 2015 at 7:10 AM, Bernhard Voelker
<[email-masked]> wrote:
> On 10/28/2015 11:00 AM, Pádraig Brady wrote:
>>
>> Reopened until someone else votes.
>
> I'm 50:50 regarding the usefulness of --verbose.
> Writing "killed PRG after N seconds elapsed" sounds like a useful
> message, yet I'm afraid that then other requests may follow soon
> which may really bloat the code, e.g.
>
>   $ timeout --verbose 10 sleep 5
>   timeout: child process terminated after 5.012 seconds.
>
> As it's easy to have a wrapper for the original request, I'd rather
> not add it.

This is the usual criterion/conclusion: if it is easy to implement the desired
behavior via some other mechanism, we prefer not to add the option.
If we had not adhered to this policy over the decades, coreutils programs
would be far larger and harder to maintain, now.

Please look at these many rejected requests to get a feel for how tricky
it can be: http://www.gnu.org/software/coreutils/rejected_requests.html